Bug 656129 (CVE-2010-4206)

Summary: CVE-2010-4206 WebKit: Array index error during processing of an SVG document
Product: [Other] Security Response Reporter: Huzaifa S. Sidhpurwala <huzaifas>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: fedora, kevin, martin.sourada, mtasaka, stransky
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-03-07 07:05:12 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 640385, 640386, 667027    
Bug Blocks:    

Description Huzaifa S. Sidhpurwala 2010-11-23 05:00:40 UTC
Common Vulnerabilities and Exposures assigned an identifier CVE-2010-4206 to
the following vulnerability:

Name: CVE-2010-4206
Status: Candidate
URL: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2010-4206
Assigned: 20101105
Reference: CONFIRM:http://code.google.com/p/chromium/issues/detail?id=60688
Reference: CONFIRM:http://googlechromereleases.blogspot.com/2010/11/stable-channel-update.html 

Upstream Bugzilla: https://bugs.webkit.org/show_bug.cgi?id=48371
Trac: http://trac.webkit.org/changeset/70652

Google Chrome before 7.0.517.44 accesses memory at an out-of-bounds
array index during processing of an SVG document, which allows remote
attackers to cause a denial of service or possibly have unspecified
other impact via unknown vectors.

Comment 2 Huzaifa S. Sidhpurwala 2011-01-04 05:18:27 UTC
This is fixed in webkitgtk 1.2.6

Comment 3 Huzaifa S. Sidhpurwala 2011-01-04 05:54:08 UTC
Created webkitgtk tracking bugs for this issue

Affects: fedora-13 [bug 667027]

Comment 4 errata-xmlrpc 2011-01-25 17:07:56 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2011:0177 https://rhn.redhat.com/errata/RHSA-2011-0177.html